#include <stdio.h>

int main()
{
   
   long long n,m,b,c,i;
   scanf("%lld%lld",&n,&m);
   long long a[n];
   for(i=0;i<n;i++)
   scanf("%lld",&a[i]);
   long long res=0;
   for(i=0;i<m;i++)
   {
      scanf("%lld%lld",&b,&c);
      b=b-1;
      c=c-1;
      res=res+abs(a[b]+a[c]);
   }
    
    printf("%lld",res);

    
}